if(!settings.multipleView) settings.batchView=false;
settings.tex="pdflatex";
settings.inlinetex=true;
deletepreamble();
defaultfilename="linear_algebra_I-11";
if(settings.render < 0) settings.render=4;
settings.outformat="";
settings.inlineimage=true;
settings.embed=true;
settings.toolbar=false;
viewportmargin=(2,2);

import graph;
size(200,200);
xaxis("$x$",xmax=8,Arrow(HookHead,size=4),above=true);
yaxis("$y$",ymax=8,Arrow(HookHead,size=4),above=true);
real f(real x) {return sqrt(25-(x-2)^2)+1;}
pair F(real x) {return (x,f(x));}
real g(real x) {return -sqrt(25-(x-2)^2)+1;}
pair G(real x) {return (x,g(x));}
draw(graph(f,-3,7,operator ..),red+2);
draw(graph(g,-3,7,operator ..),red+2);
xtick("$2$",2);
ytick("$1$",1);
dot((2,1),black+5);
label("$(2,1)$",(2,1),NE);
dot(F(-2),black+5);
dot(F(5),black+5);
dot(G(-1),black+5);
label("$(-2,4)$",F(-2),NW);
label("$(5,5)$",F(5),NE);
label("$(-1,-3)$",G(-1),SW);
